Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.joyaop.extension.picocontainer
Class ConstructorInjectionAspectizedComponentAdapter

    java.lang.Object
      org.picocontainer.defaults.AbstractComponentAdapter
          org.picocontainer.defaults.InstantiatingComponentAdapter
              org.picocontainer.defaults.ConstructorInjectionComponentAdapter
                  net.sf.joyaop.extension.picocontainer.ConstructorInjectionAspectizedComponentAdapter

All Implemented Interfaces:
  java.io.Serializable, org.picocontainer.ComponentAdapter

    public class ConstructorInjectionAspectizedComponentAdapter

extends org.picocontainer.defaults.ConstructorInjectionComponentAdapter

Author:
  Shen Li
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.picocontainer.defaults.InstantiatingComponentAdapter
`allowNonPublicClasses, parameters, verifyingGuard`

Constructor Summary
`ConstructorInjectionAspectizedComponentAdapter(ObjectFactory objectFactory, java.lang.Object componentKey, java.lang.Class componentImplementation, org.picocontainer.Parameter[] parameters)`

Method Summary
`protected java.lang.Object` | `newInstance(java.lang.reflect.Constructor constructor, java.lang.Object[] parameters)`

Methods inherited from class org.picocontainer.defaults.ConstructorInjectionComponentAdapter
`getComponentInstance, getConstructorArguments, getGreediestSatisfiableConstructor`

Methods inherited from class org.picocontainer.defaults.InstantiatingComponentAdapter
`accept, createDefaultParameters, verify`

Methods inherited from class org.picocontainer.defaults.AbstractComponentAdapter
`checkTypeCompatibility, getComponentImplementation, getComponentKey, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstructorInjectionAspectizedComponentAdapter

    public ConstructorInjectionAspectizedComponentAdapter(ObjectFactory objectFactory,
                                                          java.lang.Object componentKey,
                                                          java.lang.Class componentImplementation,
                                                          org.picocontainer.Parameter[] parameters)
                                                   throws org.picocontainer.defaults.AssignabilityRegistrationException,
                                                          org.picocontainer.defaults.NotConcreteRegistrationException

Throws:
  `org.picocontainer.defaults.AssignabilityRegistrationException`
  `org.picocontainer.defaults.NotConcreteRegistrationException`

Method Detail

### newInstance

    protected java.lang.Object newInstance(java.lang.reflect.Constructor constructor,
                                           java.lang.Object[] parameters)
                                    throws java.lang.InstantiationException,
                                           java.lang.IllegalAccessException,
                                           java.lang.reflect.InvocationTargetException

  Overrides:
    `newInstance` in class `org.picocontainer.defaults.InstantiatingComponentAdapter`
  Throws:
    `java.lang.InstantiationException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD